For the complete documentation index, see llms.txt. This page is also available as Markdown.

Credit actions

All available credit actions.

Get inventory for an entity

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

Entity ID

Responses
200Success
application/json
get/v1/{id}/inventory
GET /v1/{id}/inventory HTTP/1.1
Host: api.carbonregistry.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success
{
  "credits": [
    {
      "organizationId": "123e4567-e89b-12d3-a456-426614174000",
      "userId": "123e4567-e89b-12d3-a456-426614174000",
      "id": "exPost-2-0x1234567890abcdef",
      "tokenId": "abcdef",
      "tokenAddress": "0x1234567890abcdef",
      "project": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "fullName": "Project 1",
        "url": "https://api.carbonregistry.com/projects/47abd663-fb35-4b2e-ad08-c347e761649e",
        "publicUrl": "https://carbonregistry.com/explore/projects/47abd663-fb35-4b2e-ad08-c347e761649e",
        "num": "713"
      },
      "serialization": "ICR-ISL-354-78040-14-R-0-2021",
      "vintage": "2020",
      "supply": 1000,
      "unit": "tonne",
      "amount": 100,
      "type": "exAnte"
    }
  ],
  "entity": {
    "userId": "123e4567-e89b-12d3-a456-426614174000",
    "organizationId": "123e4567-e89b-12d3-a456-426614174000",
    "id": "123e4567-e89b-12d3-a456-426614174000"
  }
}

Transfer credits

post

For transferring credits this is THE endpoint to use. You can transfer credits from an organization, user or subaccount.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
fromIdstringRequired

The entity that holds the credits - if not a subaccountId the default subaccount will be used.

Example: 123e4567-e89b-12d3-a456-426614174000
commentstringOptional

An optional transaction comment

Example: Transfer 2024
Responses
200Success
application/json
transactionIdstringRequired

The transaction id

Example: 123e4567-e89b-12d3-a456-426614174000
successbooleanRequired

Whether the transaction was successful or not

Example: true
post/v1/transfer
POST /v1/transfer HTTP/1.1
Host: api.carbonregistry.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 349

{
  "to": {
    "publicKey": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
    "email": "info@carbonregistry.com",
    "id": "123e4567-e89b-12d3-a456-426614174000"
  },
  "fromId": "123e4567-e89b-12d3-a456-426614174000",
  "credits": [
    {
      "id": "exPost-1-0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
      "amount": "0.7"
    }
  ],
  "comment": "Transfer 2024",
  "receiptEmails": [
    "info@carbonregistry.com"
  ]
}
200Success
{
  "transactionId": "123e4567-e89b-12d3-a456-426614174000",
  "success": true
}

Retire credits

post

For retiring credits this is THE endpoint to use. You can retire credits from an organization, user or subaccount.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
fromIdstringRequired

The entity that holds the credits

Example: 123e4567-e89b-12d3-a456-426614174000
reasonstringRequired

The reason for retirement. This reason comes from a specified picklist.

Example: Corsia
beneficiaryNamestringRequired

The beneficiary for the retirement

Example: Beff Jezos
commentstringRequired

A retirement comment

Example: Retiring for flights 24'
Responses
200Success
application/json
successbooleanRequired

Whether the transaction was successful or not

Example: 123e4567-e89b-12d3-a456-426614174000
transactionIdstringRequired

The id of the possibly pending transaction

Example: true
post/v1/retire
POST /v1/retire HTTP/1.1
Host: api.carbonregistry.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 359

{
  "to": {
    "email": "info@carbonregistry.com",
    "id": "123e4567-e89b-12d3-a456-426614174000"
  },
  "fromId": "123e4567-e89b-12d3-a456-426614174000",
  "reason": "Corsia",
  "beneficiaryName": "Beff Jezos",
  "comment": "Retiring for flights 24'",
  "credit": {
    "id": "exPost-1-0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
    "amount": "0.7"
  },
  "receiptEmails": [
    {
      "email": "info@carbonregistry.com"
    }
  ]
}
200Success
{
  "success": "123e4567-e89b-12d3-a456-426614174000",
  "transactionId": true
}

reason: Must be one of the following predefined options:

  • Compliance

  • Corsia

  • Voluntary purposes

  • Overall mitigations of global emissions

  • Corporate emission compensation

  • Other

  • Article 6.2

  • Testing

Last updated